/*
 * JBoss, the OpenSource EJB server
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.ejb;

import java.util.ArrayList;

/**
 * // *
 *
 * @author <a href="mailto:bill@jboss.org">William DeCoste</a>
 * @version $Revision: 1.1.2.3 $
 */
public class RolesAllowedImpl implements javax.annotation.security.RolesAllowed
{
   private ArrayList values = new ArrayList();

   public RolesAllowedImpl()
   {
   }

   public void addValue(String value)
   {
      values.add(value);
   }

   public String[] value()
   {
      String[] value = new String[values.size()];
      values.toArray(value);
      return value;
   }

   public Class annotationType()
   {
      return javax.annotation.security.RolesAllowed.class;
   }

   public String name()
   {
      return javax.annotation.security.RolesAllowed.class.getName();
   }
}
